<app-loading *ngIf="isLoading"></app-loading>
<form nz-form [formGroup]="form">
  <div nz-row [nzGutter]="[30, 10]">
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['code'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['code'].errors !== null"
        [mbErrors]="form.controls['code'].errors"
        [mbMaxLength]="25"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '25' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.participationStatus.label.code'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.participationStatus.label.code'
        }}"
        mbLabelText="{{
          'insurance.participationStatus.label.code' | translate
        }} <span class='label__required'>*</span>"
        formControlName="code"
      ></mb-input-text>
    </div>
    <div nz-col nzXs="24" nzLg="12">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['name'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
        [mbErrors]="form.controls['name'].errors"
        [mbMaxLength]="50"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength' | translate: { numberLength: '50' }
          },
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.participationStatus.label.name'
          }
        ]"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.participationStatus.label.name'
        }}"
        mbLabelText="{{
          'Tên trạng thái BHXH' | translate
        }} <span class='label__required'>*</span>"
        formControlName="name"
      ></mb-input-text>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        [mbType]="
          isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['fromDate'].errors !== null"
        [mbErrors]="form.controls['fromDate'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.fromDate'
          }
        ]"
        formControlName="fromDate"
        mbLabelText="{{
          'insurance.common.label.fromDate' | translate
        }} <span class='label__required'>*</span>"
      ></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDisable]="!form.get('fromDate')?.value"
        [mbDataSelects]="volatilityOptions"
        [mbType]="
          isSubmitted && form.controls['volatilityId'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['volatilityId'].errors !== null
        "
        [mbErrors]="form.controls['volatilityId'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.participationStatus.label.volatility'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.participationStatus.label.volatility'
        }}"
        mbLabelText="{{
          'insurance.participationStatus.label.volatility' | translate
        }} <span class='label__required'>*</span>"
        formControlName="volatilityId"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="informDisplayOptions"
        [mbType]="
          isSubmitted && form.controls['informId'].errors ? 'error' : 'default'
        "
        [mbShowError]="isSubmitted && form.controls['informId'].errors !== null"
        [mbErrors]="form.controls['informId'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.participationStatus.label.inform'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.participationStatus.label.inform'
        }}"
        mbLabelText="{{
          'insurance.participationStatus.label.inform' | translate
        }} <span class='label__required'>*</span>"
        formControlName="informId"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="solutionDisplayOptions"
        [mbType]="
          isSubmitted && form.controls['volatilitySolutionId'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['volatilitySolutionId'].errors !== null
        "
        [mbErrors]="form.controls['volatilitySolutionId'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel
                : 'insurance.participationStatus.label.volatilitySolution'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel
              : 'insurance.participationStatus.label.volatilitySolution'
        }}"
        mbLabelText="{{
          'insurance.participationStatus.label.volatilitySolution' | translate
        }} <span class='label__required'>*</span>"
        formControlName="volatilitySolutionId"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-select
        [mbDataSelects]="statusOptions"
        [mbType]="
          isSubmitted && form.controls['flagStatus'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['flagStatus'].errors !== null
        "
        [mbErrors]="form.controls['flagStatus'].errors"
        [mbErrorDefs]="[
          {
            errorName: 'required',
            errorDescription:
              'insurance.validate.required'
              | translateLabel: 'insurance.common.label.flagStatus'
          }
        ]"
        mbPlaceholder="{{
          'insurance.placeholder.select'
            | translateLabel: 'insurance.common.label.flagStatus'
        }}"
        mbLabelText="{{
          'insurance.common.label.flagStatus' | translate
        }} <span class='label__required'>*</span>"
        formControlName="flagStatus"
      ></mb-select>
    </div>

    <div nz-col nzXs="24" nzLg="12">
      <mb-date-picker
        formControlName="toDate"
        mbLabelText="{{ 'insurance.common.label.toDate' | translate }}"
      ></mb-date-picker>
    </div>

    <div nz-col nzXs="24" nzLg="24">
      <mb-input-text
        [mbType]="
          isSubmitted && form.controls['description'].errors
            ? 'error'
            : 'default'
        "
        [mbShowError]="
          isSubmitted && form.controls['description'].errors !== null
        "
        [mbErrors]="form.controls['description'].errors"
        [mbMaxLength]="250"
        [mbErrorDefs]="[
          {
            errorName: 'maxlength',
            errorDescription:
              'insurance.validate.maxLength'
              | translate: { numberLength: '250' }
          }
        ]"
        formControlName="description"
        mbPlaceholderText="{{
          'insurance.placeholder.input'
            | translateLabel: 'insurance.common.label.description'
        }}"
        mbLabelText="{{ 'insurance.common.label.description' | translate }}"
      >
      </mb-input-text>
    </div>
  </div>
</form>
